Package com.ads.services.webservice

# Class BusinessGlossaryService

java.lang.Object
com.ads.services.webservice.BusinessGlossaryService

public class BusinessGlossaryService extends Object
Contains the methods related to perform the operations such as creation, update, deletion and retrieval of Catalogs, AssetTypes, Business Objects etc.
Some of the methods are of RequestStatus return Type.
All the WebServices methods have return type String - meaning if the method is successful, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BusinessGlossaryService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `createAssetType(String userName, String password, String outputFormat, String assetType)`
  Creates the assetType for the given assetType object in the form of JSON.
  `String`
  `createCatalog(String userName, String password, String outputFormat, String catalog)`
  Creates the Catalog for the given catalog Object i.e in the form of JSON.
  `String`
  `createCatalogs(String userName, String password, String outputFormat, String catalogs, int fillOptions)`
  Creates the list of catalogs for the given catalog objects list.
  `String`
  `createObject(String userName, String password, String outputFormat, String nodeType, String businessObject)`
  Creates the businessObject for the given input object(businessObject) and nodeType.
  `String`
  `createObjects(String userName, String password, String outputFormat, String nodeType, String businessObjects)`
  Creates the businessObjects for the given input objects(businessObjects list).
  `String`
  `deleteAssetType(String userName, String password, String outputFormat, int assetTypeId)`
  Deletes the assetType with the specified assetTypeId.
  `String`
  `deleteAssetTypeByAsset(String userName, String password, String outputFormat, String assetType)`
  Deletes the assetType for the specified assetType object.
  `String`
  `deleteCatalog(String userName, String password, String outputFormat, int catalogId)`
  Deletes the catalog with the specified catalogId.
  `String`
  `deleteObject(String userName, String password, String outputFormat, String nodeType, int businessObjectId)`
  Deletes the businessObject for the specified businessObjectId and nodeType.
  `String`
  `deleteObjects(String userName, String password, String outputFormat, String nodeType, String businessObjectIds)`
  Deletes the businessObjects for the specified list of businessObjectIds and nodeType.Specifying the businessObjectIds list and nodeType are mandatory to delete businessObjects.
  `String`
  `deleteObjectsByAsset(String userName, String password, String outputFormat, String assetName, String catalogPath)`
  Deletes the businessObjects for the specified assetName and catalogPath.
  `String`
  `deleteObjectsByCatalog(String userName, String password, String outputFormat, String nodeType, int catalogId)`
  Deletes the businessObjects for the specified catalogId and nodeType.
  `String`
  `exportCatalog(String userName, String password, String outputFormat, int catalogId)`
  BusinessObjects are exported to excel for the specified catalogId.
  `String`
  `exportCatalogByAsset(String userName, String password, String outputFormat, String assetName, String catalogPath)`
  BusinessObjects are exported to excel for the specified assetName and catalogPath.
  `String`
  `geObjectIdByAsset(String userName, String password, String outputFormat, String assetName, String catalogPath, String businessObjectName)`
  Returns the id of businessObject for the specified assetName, catalogPath and businessObjectName.
  `String`
  `getAllAssetTypes(String userName, String password, String outputFormat)`
  Returns the list of all asstetType objects in the Business Glossary module in the form of JSON or XML.
  `String`
  `getAllCatalogs(String userName, String password, String outputFormat, int fillOptions)`
  Returns the list of all catalog objects present in the Business Glossary module in the form of JSON or XML.
  `String`
  `getAssetType(String userName, String password, String outputFormat, int assetTypeId)`
  Returns the AssetType object in the form of JSON for the specified assetTypeId.
  `String`
  `getAssetTypeByName(String userName, String password, String outputFormat, String name)`
  Returns the AssetType object in the form of JSON for the specified assetName.
  `String`
  `getAssetTypes(String userName, String password, String outputFormat, String assetTypeIds)`
  Returns the List of AsstetType Objects in the form of JSON for the given assetTypeIds.
  `String`
  `getAssetTypesByNames(String userName, String password, String outputFormat, String assetTypeNames)`
  Returns the List of AsstetType Objects in the form of JSON for the given assetTypeNames.
  `String`
  `getCatalog(String userName, String password, String outputFormat, int catalogId)`
  Returns the Catalog object in the form of JSON for the specified catalogId.
  `String`
  `getCatalogByName(String userName, String password, String outputFormat, String objectType, int parentCatalogId, String name)`
  Returns the Catalog object in the form of JSON for the specified catalogName and parentcatalogId.Specifying the name and parentcatalogId are mandatory.
  `String`
  `getCatalogId(String userName, String password, String outputFormat, String objectType, String catalogPath)`
  Returns the catalogId for the specified objectType and catalogPath of the catalog.
  `String`
  `getCatalogPath(String userName, String password, String outputFormat, String objectType, int catalogId)`
  Returns the Catalog Path for the specified objectType and catalogId.
  `String`
  `getCatalogs(String userName, String password, String outputFormat, String catalogIds, int fillOptions)`
  Returns the List of Catalog Objects in the form of JSON for the given catalogIds.
  `String`
  `getCatalogsByAssetType(String userName, String password, String outputFormat, String assetTypeName, int fillOptions)`
  Returns the list of catalog objects in the form of JSON for the specified assetTypeName and fillOptions.
  `String`
  `getCatalogsByAssetTypeId(String userName, String password, String outputFormat, int assetTypeId, int fillOptions)`
  Returns the list of catalog objects in the form of JSON for the specified assetTypeId and fillOptions.
  `String`
  `getChildCatalogs(String userName, String password, String outputFormat, int catalogId, int fillOptions)`
  Returns the List of Catalog objects in the form of JSON or XML for the specified ParentCatalogId.Specifying the ParentCatalogId is mandatory.
  `String`
  `getObject(String userName, String password, String outputFormat, String nodeType, int objectId)`
  Returns the businessObject for the specified businessObjectId and nodeType.
  `String`
  `getObjectId(String userName, String password, String outputFormat, String nodeType, int catalogId, String businessObjectName)`
  Returns the id of businessObject for the specified catalogId, nodeType and businessObjectName.
  `String`
  `getObjectName(String userName, String password, String outputFormat, String nodeType, int businessObjectId)`
  Returns the name of businessObject for the specified nodeType and businessObjectId.
  `String`
  `getObjects(String userName, String password, String outputFormat, String nodeType, String businessObjectIds)`
  Returns the list of businessObjects for the specified list of businessObjectIds and nodeType.
  `String`
  `getObjectsByAsset(String userName, String password, String outputFormat, String assetName, String catalogPath)`
  Returns the list of businessObjects for the specified catalogPath and assetName.
  `String`
  `getObjectsByCatalog(String userName, String password, String outputFormat, String nodeType, int catalogId)`
  Returns the list of businessObjects for the specified catalogId and nodeType.
  `String`
  `importCatalog(String userName, String password, String outputFormat, String objectType, int catalogId, String catalogImportHelper)`
  Imports the Catalog on the specified catalogId and objectCatalogTypeId.
  `String`
  `importCatalogIn(String userName, String password, String outputFormat, String objectType, String catalogPath, String catalogName, String catalogImportHelper)`
  Imports the Catalog at the root level for the specified objectCatalogTypeId.
  `String`
  `publishBusinessPolicies(String userName, String password, String outputFormat, String businessPolicyIdsJsonArray)`
  `String`
  `publishBusinessPolicy(String userName, String password, String outputFormat, int businessPolicyId)`
  `String`
  `publishBusinessRule(String userName, String password, String outputFormat, int businessRuleId)`
  `String`
  `publishBusinessRules(String userName, String password, String outputFormat, String businessRuleIdsJsonArray)`
  `String`
  `publishCustomObject(String userName, String password, String outputFormat, int customObjectId)`
  `String`
  `publishCustomObjects(String userName, String password, String outputFormat, String customObjectIdsJsonArray)`
  `String`
  `publishTerm(String userName, String password, String outputFormat, int businessTermId)`
  `String`
  `publishTerms(String userName, String password, String outputFormat, String businessTermIdsJsonArray)`
  `String`
  `updateAssetType(String userName, String password, String outputFormat, String assetType)`
  Updates the AssetType with the specified assetType Object in the form of JSON.
  `String`
  `updateCatalog(String userName, String password, String outputFormat, String catalogDetails)`
  Updates the catalog with the specified catalog object i.e in the form of JSON.
  `String`
  `updateCatalogs(String userName, String password, String outputFormat, String catalogs, int fillOptions)`
  Updates the list of catalogs for the given catalog objects list i.e in the form of JSONArray.
  `String`
  `updateObject(String userName, String password, String outputFormat, String nodeType, String businessObject)`
  Updates the businessObject for the given input object(businessObject).
  `String`
  `updateObjects(String userName, String password, String outputFormat, String nodeType, String businessObjects)`
  Updates the businessObjects for the given input list of objects(businessObjects list).

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BusinessGlossaryService

    public BusinessGlossaryService()

- ## Method Details

  - ### publishTerm

    public String publishTerm(String userName, String password, String outputFormat, int businessTermId)
    Parameters:
      `userName` -
      `password` -
      `outputFormat` -
      `businessTermId` -
    Returns:
    Since:
      8.3

  - ### publishTerms

    public String publishTerms(String userName, String password, String outputFormat, String businessTermIdsJsonArray)
    Parameters:
      `userName` -
      `password` -
      `outputFormat` -
      `businessTermIdsJsonArray` -
    Returns:
    Since:
      9.4

  - ### publishBusinessPolicy

    public String publishBusinessPolicy(String userName, String password, String outputFormat, int businessPolicyId)
    Parameters:
      `userName` -
      `password` -
      `outputFormat` -
      `businessPolicyId` -
    Returns:
    Since:
      9.4

  - ### publishBusinessPolicies

    public String publishBusinessPolicies(String userName, String password, String outputFormat, String businessPolicyIdsJsonArray)
    Parameters:
      `userName` -
      `password` -
      `outputFormat` -
      `businessPolicyIdsJsonArray` -
    Returns:
    Since:
      9.4

  - ### publishBusinessRule

    public String publishBusinessRule(String userName, String password, String outputFormat, int businessRuleId)
    Parameters:
      `userName` -
      `password` -
      `outputFormat` -
      `businessRuleId` -
    Returns:
    Since:
      9.4

  - ### publishBusinessRules

    public String publishBusinessRules(String userName, String password, String outputFormat, String businessRuleIdsJsonArray)
    Parameters:
      `userName` -
      `password` -
      `outputFormat` -
      `businessRuleIdsJsonArray` -
    Returns:
    Since:
      9.4

  - ### publishCustomObject

    public String publishCustomObject(String userName, String password, String outputFormat, int customObjectId)
    Parameters:
      `userName` -
      `password` -
      `outputFormat` -
      `customObjectId` -
    Returns:
    Since:
      9.4

  - ### publishCustomObjects

    public String publishCustomObjects(String userName, String password, String outputFormat, String customObjectIdsJsonArray)
    Parameters:
      `userName` -
      `password` -
      `outputFormat` -
      `customObjectIdsJsonArray` -
    Returns:
    Since:
      9.4

  - ### createAssetType

    public String createAssetType(String userName, String password, String outputFormat, String assetType)
    Creates the assetType for the given assetType object in the form of JSON. Specifying the name and title are mandatory, while creating the AssetType. The created assetType is shown in Business Glossary Module only if enabled value in the given JSON is true.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetType` - String
    Returns:
      String - If AssetType is created successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'assetType' JSON :
      {
      "objectTypeId": "",
      "catalogTypeId": "",
      "catalogsTypeId": "",
      "name": "",
      "title": "",
      "description": "",
      "color": "",
      "documentsRequired": "",
      "enabled": "true",
      "definitionEnabled": "",
      "sdiEnabled": "",
      "systemBased": "",
      "displayOrder": "",
      "auditHistory": null
      }

    Since:
      10.1

  - ### updateAssetType

    public String updateAssetType(String userName, String password, String outputFormat, String assetType)
    Updates the AssetType with the specified assetType Object in the form of JSON. All the information pertaining to the AssetType can be updated.
    Specifying the id, name and title are mandatory to update the AssetType.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetType` - String
    Returns:
      String - If AssetType is updated successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'assetType' JSON :
      {
      "id": "",
      "objectTypeId": "",
      "catalogTypeId": "",
      "catalogsTypeId": "",
      "name": "",
      "title": "",
      "description": "",
      "color": "",
      "documentsRequired": "",
      "enabled": "true",
      "definitionEnabled": "",
      "sdiEnabled": "",
      "systemBased": "",
      "displayOrder": "",
      "auditHistory": null
      }

    Since:
      10.1

  - ### deleteAssetType

    public String deleteAssetType(String userName, String password, String outputFormat, int assetTypeId)
    Deletes the assetType with the specified assetTypeId. Specifying the assetTypeId is mandatory to delete a particular assetType.
    If the assetType is deleted its associated data will also be deleted.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetTypeId` - int
    Returns:
      String - If AssetType is deleted successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      10.1

  - ### getAssetType

    public String getAssetType(String userName, String password, String outputFormat, int assetTypeId)
    Returns the AssetType object in the form of JSON for the specified assetTypeId. Specifying the assetTypeId is mandatory.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetTypeId` - int
    Returns:
      String
    Since:
      10.1

  - ### getAssetTypeByName

    public String getAssetTypeByName(String userName, String password, String outputFormat, String name)
    Returns the AssetType object in the form of JSON for the specified assetName. Specifying the assetName is mandatory.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `name` - String
    Returns:
      String
    Since:
      10.1

  - ### getAssetTypes

    public String getAssetTypes(String userName, String password, String outputFormat, String assetTypeIds)
    Returns the List of AsstetType Objects in the form of JSON for the given assetTypeIds. Specifying the assetTypeIds as like JsonArray is mandatory.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetTypeIds` - String
    Returns:
      String

      Sample 'assetTypeIds' JSONArray :
      [1,2]

    Since:
      10.1

  - ### getAssetTypesByNames

    public String getAssetTypesByNames(String userName, String password, String outputFormat, String assetTypeNames)
    Returns the List of AsstetType Objects in the form of JSON for the given assetTypeNames. Specifying the assetTypeNames as like JsonArray is mandatory.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetTypeNames` - String
    Returns:
      String

      Sample 'assetTypeNames' JSONArray :
      ["Custom_A","Custom_B"]

    Since:
      10.1

  - ### createCatalog

    public String createCatalog(String userName, String password, String outputFormat, String catalog)
    Creates the Catalog for the given catalog Object i.e in the form of JSON. Specifying the catalogName and catalogTypeId are mandatory, while creating the catalog. To create a sub catalog specifying the parentCatalogId is mandatory.
    Specifying the CatalogName and CatalogTypeId are Mandatory along with the other information regarding Catalog.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `catalog` - String
    Returns:
      String - If catalog is created successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'catalog' JSON :
      {
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      }

    Since:
      10.1

  - ### updateCatalog

    public String updateCatalog(String userName, String password, String outputFormat, String catalogDetails)
    Updates the catalog with the specified catalog object i.e in the form of JSON. All the information pertaining to the catalog can be updated. Specifying the catalogId and catalogName are mandatory to update the catalog.
    Specifying the catalogId and catalogName are mandatory to update the catalog.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `catalogDetails` - String
    Returns:
      String - If catalog is updated successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'catalog' JSON :
      {
      "catalogId": "",
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      }

    Since:
      10.1

  - ### deleteCatalog

    public String deleteCatalog(String userName, String password, String outputFormat, int catalogId)
    Deletes the catalog with the specified catalogId. Specifying the catalogId is mandatory to delete a particular catalog.
    If the catalog is deleted all its associated data will also be deleted.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `catalogId` - int
    Returns:
      String - If Catalog is deleted successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      10.1

  - ### getCatalog

    public String getCatalog(String userName, String password, String outputFormat, int catalogId)
    Returns the Catalog object in the form of JSON for the specified catalogId. Specifying the catalogId is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `catalogId` - int
    Returns:
      String
    Since:
      10.1

  - ### getCatalogByName

    public String getCatalogByName(String userName, String password, String outputFormat, String objectType, int parentCatalogId, String name)
    Returns the Catalog object in the form of JSON for the specified catalogName and parentcatalogId.Specifying the name and parentcatalogId are mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `objectType` - String - Valid values: BGM_TERM,BGM_POLICY,BGM_RULE and for Custom types it will be the name of asset type.
      `parentCatalogId` - int
      `name` - String
    Returns:
      String
    Since:
      10.1

  - ### getCatalogId

    public String getCatalogId(String userName, String password, String outputFormat, String objectType, String catalogPath)
    Returns the catalogId for the specified objectType and catalogPath of the catalog. Specifying the objectType and catalogPath are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `objectType` - String - Valid types: BGM_TERM,BGM_POLICY,BGM_RULE and for Custom types it will be the name of asset type.
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
    Returns:
      String - Returns the CatalogId.
    Since:
      10.1

  - ### getCatalogs

    public String getCatalogs(String userName, String password, String outputFormat, String catalogIds, int fillOptions)
    Returns the List of Catalog Objects in the form of JSON for the given catalogIds. Specifying the CatalogIds as like JsonArray is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `catalogIds` - String
      `fillOptions` - int
    Returns:
      String

      Sample 'catalogIds' JSONArray :
      [1,2]

    Since:
      10.1

  - ### getChildCatalogs

    public String getChildCatalogs(String userName, String password, String outputFormat, int catalogId, int fillOptions)
    Returns the List of Catalog objects in the form of JSON or XML for the specified ParentCatalogId.Specifying the ParentCatalogId is mandatory.
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `catalogId` - int
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      String
    Since:
      10.1

  - ### getCatalogPath

    public String getCatalogPath(String userName, String password, String outputFormat, String objectType, int catalogId)
    Returns the Catalog Path for the specified objectType and catalogId. Specifying the objectType and catalogId are mandatory.
    It returns the complete catalogPath of the given catalogId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `objectType` - String - Valid values: BGM_TERM,BGM_POLICY,BGM_RULE and for Custom types it will be the name of asset type.
      `catalogId` - int
    Returns:
      String
    Since:
      10.1

  - ### importCatalog

    public String importCatalog(String userName, String password, String outputFormat, String objectType, int catalogId, String catalogImportHelper)
    Imports the Catalog on the specified catalogId and objectCatalogTypeId. Specifying the objectCatalogTypeId, catalogId and filePath are mandatory.
    The filePath should be valid and it should be of excel type. The headers in the provided file should be correct, and these are differ for each different objectCatalogTypeId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `objectType` - - String - Valid values: BGM_TERM,BGM_POLICY,BGM_RULE and for Custom types it will be the name of asset type.
      `catalogId` - - int
      `catalogImportHelper` - - String
    Returns:
      String - If Catalog is imported successfully, it will return RequestStatus Object consisting of Request success flag, status message
    Since:
      10.1

  - ### importCatalogIn

    public String importCatalogIn(String userName, String password, String outputFormat, String objectType, String catalogPath, String catalogName, String catalogImportHelper)
    Imports the Catalog at the root level for the specified objectCatalogTypeId. Specifying the objectCatalogTypeId,filePath are mandatory and at least providing the catalogPath or catalogName is mandatory.
    Here the catalogPath value will be catalogPath+catalogName.
    The filePath should be valid and it should be of excel type. The headers in the provided file should be correct, and these are differ for each different objectCatalogTypeId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `objectType` - - String - Valid values: BGM_TERM,BGM_POLICY,BGM_RULE and for Custom types it will be the name of asset type.
      `catalogPath` - - String
      `catalogName` - - String
      `catalogImportHelper` - - String
    Returns:
      String - If Catalog is imported successfully, it will return RequestStatus Object consisting of Request success flag, status message
    Since:
      10.1

  - ### createObject

    public String createObject(String userName, String password, String outputFormat, String nodeType, String businessObject)
    Creates the businessObject for the given input object(businessObject) and nodeType. Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object. Specifying the nodeType, objectName and catalogId are mandatory in the input object.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObject` - String
    Returns:
      String - If businessObject is created successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'BusinessObject' JSON :
      {
      "catalogId": "",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "name": "",
      "description": "",
      "id": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      }

    Since:
      12.0

  - ### createObjects

    public String createObjects(String userName, String password, String outputFormat, String nodeType, String businessObjects)
    Creates the businessObjects for the given input objects(businessObjects list). and nodeType. Here the businessObjects can be Business Term, Business Policy, Business Rule or Custom Object. Specifying the nodeType, objectName and catalogTypeId in each businessObject are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogTypeId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjects` - String
    Returns:
      String - If businessObjects are created successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'BusinessObjects' JSON :
      [
      {
      "catalogId": "",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "name": "",
      "description": "",
      "id": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      },
      {
      "catalogId": "",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "name": "",
      "description": "",
      "id": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      }
      ]

    Since:
      12.0

  - ### updateObject

    public String updateObject(String userName, String password, String outputFormat, String nodeType, String businessObject)
    Updates the businessObject for the given input object(businessObject). Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object.
    All the information pertaining to the businessObject can be updated. Specifying the nodeType, businessObjectId and catalogId are mandatory to update the businessObject.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObject` - String
    Returns:
      String - If businessObject is updated successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'BusinessObject' JSON :
      {
      "catalogId": "",
      "id":"",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "name": "",
      "description": "",
      "id": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      }

    Since:
      12.0

  - ### updateObjects

    public String updateObjects(String userName, String password, String outputFormat, String nodeType, String businessObjects)
    Updates the businessObjects for the given input list of objects(businessObjects list). Here the businessObject can be Business Term, Business Policy, Business Rule or Custom Object.
    All the information pertaining to the businessObjects can be updated. Specifying the nodeType, businessObjectId and catalogId in each businessObject are mandatory to update the businessObjects.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjects` - String
    Returns:
      String - If businessObjects are updated successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'BusinessObjects' JSON :
      [
      {
      "catalogId": "",
      "id":"",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "name": "",
      "description": "",
      "id": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      },
      {
      "catalogId": "",
      "id":"",
      "name": "",
      "definition": "",
      "description": "",
      "notes": "",
      "objectTypeId": "",
      "workflowStatus": "",
      "auditHistory": null,
      "sdiclassifications": [
      {
      "objectTypeId": 0,
      "name": "",
      "description": "",
      "id": 0,
      "objectId": 0
      }
      ],
      "assetType":{
      }
      }
      ]

    Since:
      12.0

  - ### getObject

    public String getObject(String userName, String password, String outputFormat, String nodeType, int objectId)
    Returns the businessObject for the specified businessObjectId and nodeType. Specifying the businessObjectId and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `objectId` - int
    Returns:
      String - BusinessObject in the form of JSON or XML String
    Since:
      12.0

  - ### getObjects

    public String getObjects(String userName, String password, String outputFormat, String nodeType, String businessObjectIds)
    Returns the list of businessObjects for the specified list of businessObjectIds and nodeType. Specifying the list of objectIds and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectIds` - String
    Returns:
      String - List of businessObjects in the form of JSON or XML String.
    Since:
      12.0

  - ### getObjectsByCatalog

    public String getObjectsByCatalog(String userName, String password, String outputFormat, String nodeType, int catalogId)
    Returns the list of businessObjects for the specified catalogId and nodeType. Specifying the catalogId and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
    Returns:
      String - List of businessObjects in the form of JSON or XML String.
    Since:
      12.0

  - ### getObjectsByAsset

    public String getObjectsByAsset(String userName, String password, String outputFormat, String assetName, String catalogPath)
    Returns the list of businessObjects for the specified catalogPath and assetName. Specifying the catalogPath and assetName are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetName` - String
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
    Returns:
      String - List of businessObjects in the form of JSON or XML String.
    Since:
      12.0

  - ### getObjectId

    public String getObjectId(String userName, String password, String outputFormat, String nodeType, int catalogId, String businessObjectName)
    Returns the id of businessObject for the specified catalogId, nodeType and businessObjectName. Specifying the catalogId, businessObjectName and nodeType are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, catalogId will be either BGM_TERM_CATALOG_ID, BGM_RULE_CATALOG_ID, BGM_POLICY_CATALOG_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
      `businessObjectName` - String
    Returns:
      String - businessObjectId in the form of JSON or XML String.
    Since:
      12.0

  - ### geObjectIdByAsset

    public String geObjectIdByAsset(String userName, String password, String outputFormat, String assetName, String catalogPath, String businessObjectName)
    Returns the id of businessObject for the specified assetName, catalogPath and businessObjectName. Specifying the assetName, catalogPath and businessObjectName are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetName` - String
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
      `businessObjectName` - String
    Returns:
      String - businessObject id in the form of JSON or XML String.
    Since:
      12.0

  - ### getObjectName

    public String getObjectName(String userName, String password, String outputFormat, String nodeType, int businessObjectId)
    Returns the name of businessObject for the specified nodeType and businessObjectId. Specifying the nodeType and businessObjectId are mandatory.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectId` - int
    Returns:
      String - businessObject name in the form of JSON or XML String.
    Since:
      12.0

  - ### exportCatalog

    public String exportCatalog(String userName, String password, String outputFormat, int catalogId)
    BusinessObjects are exported to excel for the specified catalogId. Specifying the catalogId is mandatory.
    All the businessObjects of the specified catalogId are exported to excel. The exported filePath will be available in the userObject of requestStatus object and the filePath will be RELATIVE.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `catalogId` - int
    Returns:
      String - If businessObjects are exported successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### exportCatalogByAsset

    public String exportCatalogByAsset(String userName, String password, String outputFormat, String assetName, String catalogPath)
    BusinessObjects are exported to excel for the specified assetName and catalogPath. Specifying the assetName and catalogPath are mandatory.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    All the businessObjects of the specified catalogPath are exported to excel. The exported filePath will be available in the userObject of requestStatus object and the filePath will be RELATIVE.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetName` - String
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
    Returns:
      String - If businessObjects are exported successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### deleteObject

    public String deleteObject(String userName, String password, String outputFormat, String nodeType, int businessObjectId)
    Deletes the businessObject for the specified businessObjectId and nodeType. Specifying the businessObjectId and nodeType are mandatory to delete a particular businessObject. If the businessObject is deleted all its associated data will also be deleted.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectId` - int
    Returns:
      String - If businessObject is deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### deleteObjects

    public String deleteObjects(String userName, String password, String outputFormat, String nodeType, String businessObjectIds)
    Deletes the businessObjects for the specified list of businessObjectIds and nodeType.Specifying the businessObjectIds list and nodeType are mandatory to delete businessObjects. If the businessObjects are deleted all its associated data will also be deleted.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `businessObjectIds` - String
    Returns:
      String - If businessObjects are deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### deleteObjectsByCatalog

    public String deleteObjectsByCatalog(String userName, String password, String outputFormat, String nodeType, int catalogId)
    Deletes the businessObjects for the specified catalogId and nodeType. Specifying the catalogId and nodeType are mandatory to delete businessObjects. If the businessObjects are deleted all its associated data will also be deleted.
    NodeType can be either BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM. Depending upon the nodeType, businessObjectId will be either BGM_TERM_ID, BGM_RULE_ID, BGM_POLICY_ID etc..
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `nodeType` - String - valid types - BGM_TERM, BGM_RULE, BGM_POLICY, BGM_CUSTOM.
      `catalogId` - int
    Returns:
      String - If businessObjects are deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### deleteObjectsByAsset

    public String deleteObjectsByAsset(String userName, String password, String outputFormat, String assetName, String catalogPath)
    Deletes the businessObjects for the specified assetName and catalogPath. Specifying the assetName and catalogPath are mandatory to delete businessObjects. If the businessObjects are deleted all its associated data will also be deleted.
    Here the assetName can be either Business Terms, Business Policies, Business Rules and for custom objects it will be the name given in settings while creating the assetType. The catalogPath value will be catalogPath+catalogName.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetName` - String
      `catalogPath` - String - ex: Catalog1/Catalog2/Catalog3
    Returns:
      String - If businessObjects are deleted successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      12.0

  - ### getAllAssetTypes

    public String getAllAssetTypes(String userName, String password, String outputFormat)
    Returns the list of all asstetType objects in the Business Glossary module in the form of JSON or XML.
    It returns all the details like id, name, description, title, objectTypeId and catalogTypeId.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      12.1

  - ### getAllCatalogs

    public String getAllCatalogs(String userName, String password, String outputFormat, int fillOptions)
    Returns the list of all catalog objects present in the Business Glossary module in the form of JSON or XML.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      String
    Since:
      12.1

  - ### getCatalogsByAssetType

    public String getCatalogsByAssetType(String userName, String password, String outputFormat, String assetTypeName, int fillOptions)
    Returns the list of catalog objects in the form of JSON for the specified assetTypeName and fillOptions. Specifying the assetTypeName and fillOptions are mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetTypeName` - String
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      String
    Since:
      12.1

  - ### getCatalogsByAssetTypeId

    public String getCatalogsByAssetTypeId(String userName, String password, String outputFormat, int assetTypeId, int fillOptions)
    Returns the list of catalog objects in the form of JSON for the specified assetTypeId and fillOptions. Specifying the assetTypeId and fillOptions are mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions` it returns the catalog object filled with extended properties. The default integer value for fillOptions is 0(zero).
    It returns all the details like catalogName, description, parentCatalogId, catalogTypeId and auditHistory details.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetTypeId` - int
      `fillOptions` - `APIConstants.BGMFillOptions` int
    Returns:
      String
    Since:
      12.1

  - ### deleteAssetTypeByAsset

    public String deleteAssetTypeByAsset(String userName, String password, String outputFormat, String assetType)
    Deletes the assetType for the specified assetType object. Specifying the assetTypeId is in the given object is mandatory to delete a particular assetType.
    If the assetType is deleted its associated data will also be deleted.
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `assetType` - String
    Returns:
      String
    Since:
      12.1

  - ### createCatalogs

    public String createCatalogs(String userName, String password, String outputFormat, String catalogs, int fillOptions)
    Creates the list of catalogs for the given catalog objects list. Specifying the catalogName and catalogTypeId in each catalog object are mandatory, while creating the catalogs. To create a sub catalog specifying the parentCatalogId is mandatory.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` Based on the fillOptions value passed, the fields(extended properties) are created along with the catalog object. The default integer value for fillOptions is 0(zero).
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String
      `catalogs` - String - Valid values: JSON or XML
      `fillOptions` - int `APIConstants.BGMFillOptions`.
    Returns:
      String - If catalogs are created successfully, it will return RequestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'catalogs' JSON :
      [{
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      },
      {
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      },
      ]

    Since:
      12.1

  - ### updateCatalogs

    public String updateCatalogs(String userName, String password, String outputFormat, String catalogs, int fillOptions)
    Updates the list of catalogs for the given catalog objects list i.e in the form of JSONArray. All the information pertaining to the catalogs can be updated.
    Specifying the catalogId and catalogName in each catalog object are mandatory to update the catalogs.
    Here fillOptions parameter takes value of `APIConstants.BGMFillOptions.CATALOG_EXTENDED_PROPERTIES` Based on the fillOptions value passed, the fields(extended properties) are updated along with the catalog object. The default integer value for fillOptions is 0(zero).
    OutputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
      `catalogs` - String
      `fillOptions` - int `APIConstants.BGMFillOptions`.
    Returns:
      String - If catalogs are updated successfully, it will return requestStatus object consisting of request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'catalogs' JSON :
      [{
      "catalogId": "",
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      },
      {
      "catalogId": "",
      "parentCatalogId": "",
      "catalogName": "",
      "description": "",
      "catalogTypeId": "",
      "fields":{}
      }
      ]

    Since:
      12.1